/**
 * Stores settings from Onyx.init globally so they can be made accessible by other parts of the library.
 */
declare const globalSettings: {
    enablePerformanceMetrics: boolean;
};
type GlobalSettings = typeof globalSettings;
declare function addGlobalSettingsChangeListener(listener: (settings: GlobalSettings) => unknown): () => void;
declare function setPerformanceMetricsEnabled(enabled: boolean): void;
declare function isPerformanceMetricsEnabled(): boolean;
export { setPerformanceMetricsEnabled, isPerformanceMetricsEnabled, addGlobalSettingsChangeListener };
