type Parameters = string | Record<string, unknown> | Array<Record<string, unknown>> | Error;
type LogData = {
    message: string;
    level: 'alert' | 'info' | 'hmmm';
    parameters?: Parameters;
};
type LoggerCallback = (data: LogData) => void;
/**
 * Register the logging callback
 */
declare function registerLogger(callback: LoggerCallback): void;
/**
 * Send an alert message to the logger
 */
declare function logAlert(message: string, parameters?: Parameters): void;
/**
 * Send an info message to the logger
 */
declare function logInfo(message: string, parameters?: Parameters): void;
/**
 * Send an hmmm message to the logger
 */
declare function logHmmm(message: string, parameters?: Parameters): void;
export { registerLogger, logInfo, logAlert, logHmmm };
