type ImportType = ReturnType<typeof require>;
/**
 * Create a lazily-imported module proxy.
 * This is useful for lazily requiring optional dependencies.
 */
declare const createModuleProxy: <TModule>(getModule: () => ImportType) => TModule;
declare class OptionalDependencyNotInstalledError extends Error {
    constructor(name: string);
}
export { createModuleProxy, OptionalDependencyNotInstalledError };
