/// <reference types="jest" />
declare const StorageMock: {
    init: jest.Mock<void, [], any>;
    getItem: jest.Mock<Promise<unknown>, [key: any], any>;
    multiGet: jest.Mock<Promise<import("../providers/types").KeyValuePairList>, [keys: import("../providers/types").KeyList], any>;
    setItem: jest.Mock<Promise<void | import("react-native-nitro-sqlite").QueryResult<import("react-native-nitro-sqlite").QueryResultRow>>, [key: any, value: unknown], any>;
    multiSet: jest.Mock<Promise<void | import("react-native-nitro-sqlite").BatchQueryResult>, [pairs: import("../providers/types").KeyValuePairList], any>;
    mergeItem: jest.Mock<Promise<void | import("react-native-nitro-sqlite").BatchQueryResult>, [key: any, deltaChanges: unknown, preMergedValue: unknown, shouldSetValue?: boolean | undefined], any>;
    multiMerge: jest.Mock<Promise<void | import("react-native-nitro-sqlite").BatchQueryResult | IDBValidKey[]>, [pairs: import("../providers/types").KeyValuePairList], any>;
    removeItem: jest.Mock<Promise<void | import("react-native-nitro-sqlite").QueryResult<import("react-native-nitro-sqlite").QueryResultRow>>, [key: string], any>;
    removeItems: jest.Mock<Promise<void | import("react-native-nitro-sqlite").QueryResult<import("react-native-nitro-sqlite").QueryResultRow>>, [keys: import("../providers/types").KeyList], any>;
    clear: jest.Mock<Promise<void | import("react-native-nitro-sqlite").QueryResult<import("react-native-nitro-sqlite").QueryResultRow>>, [], any>;
    getAllKeys: jest.Mock<Promise<import("../providers/types").KeyList>, [], any>;
    getDatabaseSize: jest.Mock<Promise<{
        bytesUsed: number;
        bytesRemaining: number;
    }>, [], any>;
    keepInstancesSync: jest.Mock<any, any, any>;
    mockSet: (key: string, value: unknown) => Promise<unknown>;
    getMockStore: jest.Mock<{
        [x: string]: unknown;
    }, [], any>;
    setMockStore: jest.Mock<void, [data: any], any>;
};
export default StorageMock;
